<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="Roles.aspx.cs" Inherits="BlueDot.Eam.Core.Server.Roles" culture="auto" meta:resourcekey="PageResource1" uiculture="auto" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <link href="App_Themes/Main/Stylesheet.css" rel="Stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <table class="tableservices" width="85%" style="margin-left:10px;" cellpadding="8">
        <tr>
            <td>
                <table width="1000" class="tableservices">
                    <tr>
                        <td colspan="3">
                            <span class="RoleHeader">EAM Groups</span></td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                        <td class="roleItems"><asp:Literal ID="Literal8" runat="server" Text="<%$ resources:Configuration %>"/></td>
                        <td class="roleItems"><asp:Literal ID="Literal9" runat="server" Text="<%$ resources:Installs %>"/></td>
                        <td class="roleItems"><asp:Literal ID="Literal10" runat="server" Text="<%$ resources:License %>"/></td>
                        <td class="roleItems"><asp:Literal ID="Literal11" runat="server" Text="<%$ resources:Parameters %>"/></td>
                        <td class="roleItems"><asp:Literal ID="Literal12" runat="server" Text="<%$ resources:Quarantine %>"/></td>
                        <td class="roleItems"><asp:Literal ID="Literal13" runat="server" Text="<%$ resources:Roles %>"/></td>
                        <td class="roleItems"><asp:Literal ID="Literal2" runat="server" Text="<%$ resources:Settings%>"/></td>
                        <td class="roleItems"><asp:Literal ID="Literal3" runat="server" Text="<%$ resources:StandardComments %>"/></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td class="roleItems"><asp:Literal ID="Literal1" runat="server" Text="<%$ resources:SetAsDefault %>"/></td>
                        <td class="roleItems"><asp:CheckBox ID="defaultConfiguration" runat="server" Text="" GroupName="Defaults" AutoPostBack="true" OnCheckedChanged="role_ItemCommand" /></td>
                        <td class="roleItems"><asp:CheckBox ID="defaultInstalls" runat="server" Text="" GroupName="Defaults" AutoPostBack="true" OnCheckedChanged="role_ItemCommand" /></td>
                        <td class="roleItems"><asp:CheckBox ID="defaultLicense" runat="server" Text="" GroupName="Defaults" AutoPostBack="true" OnCheckedChanged="role_ItemCommand" /></td>
                        <td class="roleItems"><asp:CheckBox ID="defaultParameters" runat="server" Text="" GroupName="Defaults" AutoPostBack="true" OnCheckedChanged="role_ItemCommand" /></td>
                        <td class="roleItems"><asp:CheckBox ID="defaultQuarantine" runat="server" Text="" GroupName="Defaults" AutoPostBack="true" OnCheckedChanged="role_ItemCommand" /></td>
                        <td class="roleItems"><asp:CheckBox ID="defaultRoles" runat="server" Text="" GroupName="Defaults" AutoPostBack="true" OnCheckedChanged="role_ItemCommand" /></td>
                        <td class="roleItems"><asp:CheckBox ID="defaultSettings" runat="server" Text="" GroupName="Defaults" AutoPostBack="true" OnCheckedChanged="role_ItemCommand" /></td>
                        <td class="roleItems"><asp:CheckBox ID="defaultStandardComments" runat="server" Text="" GroupName="Defaults" AutoPostBack="true" OnCheckedChanged="role_ItemCommand" /></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="11"><hr /></td>
                    </tr>
                    <asp:Repeater ID="groupRepeater" runat="server" OnItemCommand="groupRepeater_ItemCommand" OnItemDataBound="groupRepeater_OnItemDataBound">
                        <HeaderTemplate>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <tr>
                                <td class="roleItems tdborder"><%# Server.HtmlEncode(DataBinder.Eval(Container, "DataItem.EAMGroupName").ToString())%></td>
                                <td class="roleItems tdborder"><asp:CheckBox runat="server" Text="" ID="chkConfiguration" AutoPostBack="true" OnCheckedChanged="chkRoleSelect_Changed" /></td>
                                <td class="roleItems tdborder"><asp:CheckBox runat="server" Text="" ID="chkInstalls" AutoPostBack="true" OnCheckedChanged="chkRoleSelect_Changed" /></td>
                                <td class="roleItems tdborder"><asp:CheckBox runat="server" Text="" ID="chkLicense" AutoPostBack="true" OnCheckedChanged="chkRoleSelect_Changed" /></td>
                                <td class="roleItems tdborder"><asp:CheckBox runat="server" Text="" ID="chkParameters" AutoPostBack="true" OnCheckedChanged="chkRoleSelect_Changed" /></td>
                                <td class="roleItems tdborder"><asp:CheckBox runat="server" Text="" ID="chkQuarantine" AutoPostBack="true" OnCheckedChanged="chkRoleSelect_Changed" /></td>
                                <td class="roleItems tdborder"><asp:CheckBox runat="server" Text="" ID="chkRoles" AutoPostBack="true" OnCheckedChanged="chkRoleSelect_Changed" /></td>
                                <td class="roleItems tdborder"><asp:CheckBox runat="server" Text="" ID="chkSettings" AutoPostBack="true" OnCheckedChanged="chkRoleSelect_Changed" /></td>
                                <td class="roleItems tdborder"><asp:CheckBox runat="server" Text="" ID="chkStandardComments" AutoPostBack="true" OnCheckedChanged="chkRoleSelect_Changed" /></td>
                                <td class="roleItems tdborder"><asp:LinkButton ID="lnk_Delete" runat="server" Text="<%$ resources:Delete %>" CommandName="Delete" /></td>
                            </tr>
                        </ItemTemplate>
                    </asp:Repeater>
                </table>
            </td>
        </tr>
        <tr>
            <td align="right">
                <asp:Button runat="server" ID="btnSave" Text="Save" OnClick="btnSave_Click" Width="70" />
                &nbsp;
                <asp:Button runat="server" ID="btnCancel" Text="Cancel" OnClick="btnCancel_Click" Width="70" />
            </td>
        </tr>
        <tr>
            <td align="center">
                <h2>
                    <asp:Literal runat="server" ID="message" Text="Changes Saved" Visible="false" />
                </h2>
            </td>
        </tr>
    </table>
</asp:Content>
